body,
html {
  background: #fff !important;
}

a {
  color: #725794;
}

@media (min-width: 1200px) {
  .container {
    max-width: 960px;
  }
}

nav.navbar {
  background: #fff;
  margin-bottom: 0;
  border-bottom: 1px solid #e2e7f0;

  & > .container {
    gap: 1rem;
  }

  button.navbar-toggler.navbar-toggler-right {
    margin-right: 3rem;
  }

  button[data-target="#report_modal"] {
    white-space: nowrap;
  }
}

#navbarResponsive.navbar-collapse.collapse {
  padding-right: 2rem;
}

.text-primary {
  color: #725794 !important;
}

.btn-primary {
  background-color: #725794;
  border-color: #725794;
  color: #fff;

  &:hover,
  &:focus {
    color: #fff;
    background-color: #5f497c;
    border-color: #594474;
  }

  &:active {
    color: #fff;
    background-color: #594474 !important;
    border-color: #533f6c !important;
  }

  &:focus {
    box-shadow: 0 0 0 0.2rem rgba(135, 112, 164, 0.5);
  }
}

.btn-outline-primary {
  color: #725794;
  border-color: #725794;

  &:hover {
    color: #fff;
    background-color: #725794;
    border-color: #725794;
  }
}

.bg-primary {
  background-color: #725794 !important;
}

.btn-secondary {
  color: #fff;
  background-color: #4a5268;
  border-color: #4a5268;

  &:hover,
  &:focus {
    color: #fff;
    background-color: #3a4052;
    border-color: #353b4a;
  }

  &:active {
    color: #fff;
    background-color: #353b4a;
    border-color: #2f3543;
  }

  &:focus {
    box-shadow: 0 0 0 .2rem rgba(101, 108, 127, .5);
  }
}

.btn-outline-secondary {
  color: #4a5268;
  border-color: #4a5268;

  &:hover {
    color: #fff;
    background-color: #4a5268;
    border-color: #4a5268;
  }

  &:active {
    color: #fff;
    background-color: #4a5268 !important;
    border-color: #4a5268 !important;
  }

  &:focus {
    box-shadow: 0 0 0 .2rem rgba(74, 82, 104, .5);
  }
}

.btn-success {
  color: #fff;
  background-color: #338650;
  border-color: #338650;

  &:hover {
    background-color: #286a3f;
    border-color: #25613a;
  }

  &:active {
    background-color: #25613a;
    border-color: #215834;
  }

  &:focus {
    box-shadow: 0 0 0 0.2rem rgba(82, 152, 106, 0.5);
  }
}

.btn-warning {
  color: #fff;
  background-color: #cc4e13;
  border-color: #cc4e13;

  &:hover {
    background-color: #a94110;
    border-color: #9d3c0f;
  }

  &:active {
    background-color: #9d3c0f;
    border-color: #92380e;
  }

  &:focus {
    box-shadow: 0 0 0 0.2rem rgba(212, 105, 54, 0.5);
  }
}

.btn-outline-warning {
  color: #cc4e13;
  border-color: #cc4e13;

  &:hover,
  &:active {
    color: #fff;
    background-color: #cc4e13;
    border-color: #cc4e13;
  }

  &:focus {
    box-shadow: 0 0 0 0.2rem rgba(204, 78, 19, 0.5);
  }
}

.dropdown-item.active,
.dropdown-item:active {
  background-color: #725794;
}

// Email button
.rrssb-buttons li.rrssb-email a {
  background-color: #725794;

  &:hover {
    background-color: #5f497c;
  }
}

// Progress arrow
.sw-theme-arrows>ul.step-anchor>li {
  &.done>a {
    border-color: #8feba4 !important;
    background: #8feba4 !important;
    color: #000 !important;

    &::after {
      border-left: 30px solid #8feba4;
    }
  }

  &.active>a {
    background-color: #338650 !important;
    border-collapse: #338650 !important;

    &::after {
      border-left: 30px solid #338650 !important;
    }
  }
}

// Hide newsletter form
#list-tab .list-group-item.list-group-item-info.list-group-item-action[href="#newsletter_form"] {
  display: none;
}

// Hide registration button to newsletter
#show-sympa-mass-subscribe {
  display: none;
}

// Hide column in signatures list
#signatureForm {
  thead tr th:nth-child(7) {
    display: none;
  }

  tbody tr td:nth-child(7) {
    display: none;
  }
}


.footer-wrapper {
  background: #cbd7e0;
  margin-bottom: 3rem;
  border-radius: 5px;

  // Fix footer text color
  .footer-text {
    color: #4a5268;
  }
}

// Increase signature text a bit
#form-sticky #reassurance {
  font-size: 0.85rem;
}

a.navbar-brand {
  display: flex;
  align-items: center;
  padding: 0;

  &>img {
    margin: 0 0.25rem;
  }

  &>span {
    font-size: 32px;
    position: relative;
  }

  .nav-brand-test-warn {
    position: absolute;
    bottom: -16px;
    left: 0;
    font-size: 18px;
    font-weight: bold;
    color: var(--orange);
    text-transform: uppercase;
  }
}

.app>section#intro {
  filter: drop-shadow(2px 5px 4px rgba(0, 0, 0, .2));
  padding: 1rem 0 3rem;
  position: relative;

  &::after,
  &::before {
    display: block;
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }

  &::after {
    background: var(--f-g5);
    background-image: url(/static/img/pytitions.jpg);
    background-repeat: no-repeat;
    background-position: 50%;
    background-size: cover;
    -webkit-clip-path: polygon(0 0, 100% 0, 100% 100%, 0 88%);
    clip-path: polygon(0 0, 100% 0, 100% 100%, 0 88%)
  }

  &::before {
    background: var(--f-f7);
    -webkit-clip-path: polygon(0 0, 0 100%, 100% 83%, 100% 0);
    clip-path: polygon(0 0, 0 100%, 100% 83%, 100% 0);
  }

  .container {
    position: relative;
    z-index: 1;
    margin: 5rem auto;

    @media (max-width: 768px) {
      margin: auto;
    }
  }

  h1 {
    color: var(--f-d1);
    font-size: 5rem;
    font-weight: 300;
    margin: 4rem 0 3rem;
    text-shadow: rgba(0, 0, 0, .6) 0 0 3px;

    @media (max-width: 768px) {
      font-size: 3rem;
      margin: 2rem 0 1.5rem;
    }
  }

  h2 {
    color: var(--f-d1);
    font-size: 2rem;
    font-weight: 300;
    line-height: 1.25;
    margin: 0;
    text-shadow: rgba(0, 0, 0, .6) 0 0 3px;

    @media (max-width: 768px) {
      font-size: 1.5rem;
    }
  }

  .buttons {
    margin: 4rem 0 5.5rem;
    padding: 0;
    list-style: none;
    max-width: 90%;

    li {
      display: flex;
      align-items: center;

      .btn {
        display: inline-flex;
        align-items: center;
        justify-content: center;
        width: 100%;
        height: 100%;
        padding: .5rem 1rem;
        font-weight: 700;
        text-transform: uppercase;
      }
    }
  }
}

.app>section#limit {
  background: var(--f-o2) linear-gradient(to bottom right, var(--f-o2), var(--f-o1));
  position: relative;
  padding: 4rem 0;

  .fa-triangle-exclamation {
    color: var(--f-o2);
    position: absolute;
    font-size: 14rem;
    right: 7rem;
    top: calc(50% - 7rem);

    &::before {
      content: "";
      background-color: currentColor;
      display: inline-block;
      line-height: 1;
      mask-image: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><!--! Font Awesome Free 6.1.1 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free (Icons: CC BY 4.0, Fonts: SIL OFL 1.1, Code: MIT License) Copyright 2022 Fonticons, Inc.--><path d="M506.3 417L293 53c-16.33-28-57.54-28-73.98 0L5.82 417c-16.41 27.9 4.029 63 36.92 63h426.6c32.76 0 53.26-35 36.96-63zM232 168c0-13.25 10.75-24 24-24s24 10.8 24 24v128c0 13.25-10.75 24-23.1 24S232 309.3 232 296V168zm24 248c-17.36 0-31.44-14.08-31.44-31.44s14.07-31.44 31.44-31.44 31.44 14.08 31.44 31.44C287.4 401.9 273.4 416 256 416z"/></svg>');
      width: 1em;
      height: 1em;
    }
  }
}

.petition-details {
  background: #fff;

  a {
    color: #725794;
  }

  &>div>h1 {
    padding: 2rem 0;
    text-align: center;
    font-size: 2.25rem;
  }

  .petition-wrapper {
    align-items: flex-start;
    overflow: inherit !important;
    margin-bottom: 0;

    #petition {
      position: sticky;
      top: 1rem;
      margin-bottom: 1rem;
      background-color: initial;
      color: initial;

      @media (max-width: 990px) {
        position: inherit;
      }

      .sign {
        font-size: 1.75rem;
      }

      #counter .counter-stats {
        display: flex;
        justify-content: space-between;
        margin-bottom: 2rem;

        .counter-stats-number {
          font-size: 2rem;
          font-weight: bold;
        }

        .counter-stats-ongoing {
          color: #725794;
        }

        .counter-stats-target {
          text-align: end;
          color: #677490;
        }
      }
    }
  }
}

.petition-list-row {
  gap: 1.5rem;
  flex-direction: column;
  margin: 2em 0 auto;

  .petition-card {
    flex-direction: row-reverse;
    display: flex;
    border: 1px solid black;
    border-radius: 5px;
    align-items: stretch;
    justify-content: stretch;
    flex: 1;
    color: inherit;
    text-decoration: none;

    @media (max-width: 768px) {
      flex-direction: column;
    }

    &:hover {
      background-color: #edf1f7;
    }

    .sb-preview-img {
      width: 260px;
      height: 236px;
      display: block;

      .card-img-top {
        padding: 0;
        width: 100%;
        height: 100%;
        border: none;
        border-bottom-right-radius: 5px;
        border-top-right-radius: 5px;
      }

      @media (max-width: 768px) {
        width: 100%;
        height: 150px;
      }
    }

    .card-body {
      display: flex;
      flex: 1;
      flex-direction: column;
      text-align: start;
      min-width: 0;
      padding: 0;
    }

    h4.card-title {
      padding: 1rem;
      margin-bottom: 0;
      padding-bottom: 0;

      a {
        overflow: hidden;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 2;
        word-wrap: break-word;
      }
    }

    .card-desc {
      padding: 1rem;
      padding-top: 0.75rem;
      flex: 1;

      span {
        overflow: hidden;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 3;
        word-wrap: break-word;
      }
    }

    .card-footer {
      display: flex;
      justify-content: space-between;
      background-color: initial;
      color: #4a5268;

      p {
        display: inline-flex;
        margin-bottom: 0;
        gap: 0.25rem;

        svg {
          width: 24px;
        }
      }
    }
  }
}